Description

Need to accomodate changes to EML packages that we have discussed, and to fix
the incorrect treatment of packages in Metacat. Currently, Metacat returns a

list of related objects, some of which are "transitively” related. this is

incorrect behavior. Instead, we need to return the whol elist of related items

that are in the package list. Because package has been moved into "resource”,
this may mean returning the whole resource document might be appropriate. This
needs a lot of thought wrt the changes we decided for EML 2.

Related issues:
Blocked by Metacat - Bug #192: create a dtd for result sets Resolved

04/09/2001

History

#1 - 05/21/2001 02:46 PM - Matt Jones

Modifications that change the package handling behavior of metacat. Package
membership is now determined by an identifier being used as either the subject
or object in a triple. "Transitive" relationships have been eliminated.

Now one can not request arbitrary returndocs -- only

those types that have package information embedded can be "returndoctype”
document types. Right now only one "returndoctype" field can be provided.
This needs to be changed to support multiple potential returndoctype fields.

Packages are now defined by triple elements in the eml-dataset-2.0 module,
and so changes reflect this.

Added a new column (packagetype) to xml_relation that defines the document type
of the package for that record.

In addition, | changed the behavior of metacat queries when "back tracing" is
requested. If a "returndoc" element is present in the pathquery, then the
documents are searched, and any hits are traced back to the package with
which the hit document is linked, if it is of type returndoctype. Thus, any

hit returns all of the package documents with which the hit document is
associated. If a hit does not have an associated package, no record is
returned for that hit (this is different from previous metacat behavior).

If no returndoc parameter is provided, all docs are searched and all hits
returned.

A new query parameter was added to pathquery that allows us to filter which
document types are searched (independent of the back tracing feature). If
one or more "filterdoctype" element is included, only documents which are
in that list of types will be searched. If you search for doctype A, but
request that doctype B be returned, only documents of type B that have a
package member of type A and match the search criteria will be returned.

To implement this | had to modify many html files, and change substantial
code in DBQuery, QuerySepcification, and MetaCatServlet.

These changes break the URL handling code that was present previously --
now all identifiers are assumed to be from the metacat system, not in
URL format. This probably needs to be revisited.

#2 - 05/21/2001 03:42 PM - Matt Jones
Added ability to process multiple "returndoc” elements in

a pathquery document. Now, any query hit will be back traced to an
associated package if that package is listed in one of the
"returndoctype" elements.

#3 - 03/27/2013 02:13 PM - Redmine Admin
Original Bugzilla ID was 190
